Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedTransformList.BaseSVGTransformList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGTransformList
              org.apache.batik.dom.svg.SVGOMAnimatedTransformList.BaseSVGTransformList

All Implemented Interfaces:
  org.w3c.dom.svg.SVGTransformList

Enclosing class:
  SVGOMAnimatedTransformList

    public class SVGOMAnimatedTransformList.BaseSVGTransformList

extends AbstractSVGTransformList

`SVGTransformList` implementation for the base transform list value.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`AbstractSVGTransformList.SVGTransformItem, AbstractSVGTransformList.TransformListBuilder`

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`protected boolean` | `malformed` Whether the attribute is malformed.
`protected boolean` | `missing` Whether the attribute is missing.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`SVG_TRANSFORMATION_LIST_SEPARATOR`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`SVGOMAnimatedTransformList.BaseSVGTransformList()`

Method Summary
`protected DOMException` | `createDOMException(short type, String key, Object[] args)` Create a DOMException.
`protected org.w3c.dom.svg.SVGException` | `createSVGException(short type, String key, Object[] args)` Create a SVGException.
`protected String` | `getValueAsString()` Returns the value of the DOM attribute containing the transform list.
`protected void` | `resetAttribute()` Resets the value of the associated attribute.
`protected void` | `resetAttribute(SVGItem item)` Appends the string representation of the given `SVGItem` to the DOM attribute.
`protected void` | `revalidate()` Initializes the list, if needed.
`protected void` | `setAttributeValue(String value)` Sets the DOM attribute value containing the transform list.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGTransformList
`appendItem, checkItemType, consolidate, createSVGItem, createSVGTransformFromMatrix, doParse, getAffineTransform, getItem, getItemSeparator, initialize, insertItemBefore, removeItem, replaceItem`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, getItemImpl, getNumberOfItems, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGTransformList
`clear, getNumberOfItems`

Field Detail

### missing

    protected boolean missing

  Whether the attribute is missing.

### malformed

    protected boolean malformed

  Whether the attribute is malformed.

Constructor Detail

### SVGOMAnimatedTransformList.BaseSVGTransformList

    public SVGOMAnimatedTransformList.BaseSVGTransformList()

Method Detail

### createDOMException

    protected DOMException createDOMException(short type,
                                              String key,
                                              Object[] args)

  Create a DOMException.

  Specified by:
    `createDOMException` in class `AbstractSVGList`

### createSVGException

    protected org.w3c.dom.svg.SVGException createSVGException(short type,
                                                              String key,
                                                              Object[] args)

  Create a SVGException.

  Specified by:
    `createSVGException` in class `AbstractSVGTransformList`
  Returns:
    SVGException

### getValueAsString

    protected String getValueAsString()

  Returns the value of the DOM attribute containing the transform list.

  Specified by:
    `getValueAsString` in class `AbstractSVGList`

### setAttributeValue

    protected void setAttributeValue(String value)

  Sets the DOM attribute value containing the transform list.

  Specified by:
    `setAttributeValue` in class `AbstractSVGList`
  Parameters:
    `value` - the String representation of the list, or null if the list contains no items

### resetAttribute

    protected void resetAttribute()

  Resets the value of the associated attribute.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### resetAttribute

    protected void resetAttribute(SVGItem item)

  Appends the string representation of the given `SVGItem` to the DOM attribute. This is called in response to an append to the list.

  Overrides:
    `resetAttribute` in class `AbstractSVGList`

### revalidate

    protected void revalidate()

  Initializes the list, if needed.

  Overrides:
    `revalidate` in class `AbstractSVGList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.